Help find Boost
ClosedPublic

Authored by adridg on Dec 28 2017, 2:34 PM.

Details

Summary

Allow newer Boost 1.66 to use CMake importerd targets.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
adridg created this revision.Dec 28 2017, 2:34 PM

I think this needs an exp-run together with boost updated to 1.66.

adridg updated this revision to Diff 37178.Dec 29 2017, 1:44 PM

While here, also add c++11-lang as requirement.

devel/cmake/Makefile
23 ↗(On Diff #37178)

With respect to
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224721
can you put this in a separate revision, so we can fix it quickly?

adridg marked an inline comment as done.Dec 30 2017, 1:29 PM
adridg added inline comments.
devel/cmake/Makefile
23 ↗(On Diff #37178)

Exp-run requested for PR 224721. See also https://reviews.freebsd.org/D13694

adridg updated this revision to Diff 37256.Dec 30 2017, 10:53 PM
adridg marked an inline comment as done.

C++11 stuff has already been committed, so just leave the imported target fix

jbeich added a subscriber: jbeich.Dec 30 2017, 11:16 PM

C++11 stuff has already been committed, so just leave the imported target fix

C++11 change didn't need PORTREVISION bump unlike FindBoost. Can you bump it again?

jbeich requested changes to this revision.Jan 1 2018, 9:26 PM

Without PORTREVISION bump exp-run may not rebuild devel/cmake, so net/ceph is likely show up as false positive.

This revision now requires changes to proceed.Jan 1 2018, 9:26 PM
jbeich updated this revision to Diff 37488.Jan 4 2018, 12:26 AM
  • Bump PORTREVISION
  • Regen patch via make makepatch
jbeich accepted this revision.Jan 4 2018, 12:26 AM
This revision is now accepted and ready to land.Jan 4 2018, 12:26 AM
jbeich resigned from this revision.Jan 4 2018, 12:27 AM
This revision now requires review to proceed.Jan 4 2018, 12:27 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 18 2018, 4:01 AM
Closed by commit rP459314: devel/cmake: unbreak net/ceph with boost 1.66 (authored by jbeich, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.